Subject: Re: About Zebra Error

From: Tolunay Orkun <[email-masked]>
Date: Thu, 13 Jan 2005 11:07:19 -0600

Aubrey Lee wrote:
>  hi, In the PC(i686) system, I build and run zebra successfully. And now
> I'm porting it to the powerpc system. Cross-compiling finished without error.
> But when I run the zebra from my target board, it gives me  a big headache:
> --------------------------------------------------------------------------  
> bash-2.05b# /opt/zebra/sbin/zebra
>              sock: Address family not supported by protocol
> ----------------------------------------------------------------------------
> And Up to now I cann't find the message in the souce 
> code files.  

You are probably missing the particular socket type Zebra is trying to 
use. I had a similar experience while trying to use DHCP in busybox on 
by PPC405 embedded system. Go over your kernel configuration and ask a 
Zebra mailing list regarding the socket support it needs.